---
apiVersion: traefik.containo.us/v1alpha1
kind: Middleware
metadata:
  name: auth
spec:
  basicAuth:
    secret: traefik-auth

---
apiVersion: v1
kind: Secret
metadata:
  name: traefik-auth
data:
  users: {{ k8s_traefik_dashboard_user }}

---
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: {{ k8s_traefik_dashboard_name }}.{{ k8s_traefik_host }}
spec:
  dnsNames:
    - {{ k8s_traefik_dashboard_name }}.{{ k8s_traefik_host }}
  secretName: {{ k8s_traefik_dashboard_name }}.{{ k8s_traefik_host }}-tls
  issuerRef:
    name: letsencrypt-prod
    kind: ClusterIssuer

---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: traefik-dashboard
spec:
  entryPoints:
    - web
    - websecure
  routes:
    - match: Host(`{{ k8s_traefik_dashboard_name }}.{{ k8s_traefik_host }}`)
      kind: Rule
      services: # Service to redirect requests to
        - name: api@internal # Special service created by Traefik pod
          kind: TraefikService
      middlewares:
        - name: auth
  tls:
    secretName: {{ k8s_traefik_dashboard_name }}.{{ k8s_traefik_host }}-tls